## ros-one-map-server 1.17.3-4jammy.20251023.0105

=== debian/changelog ===
ros-one-map-server (1.17.3-4jammy.20251023.0105) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 01:05:56 +0000

ros-one-map-server (1.17.3-0jammy) jammy; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-map-server (1.17.2-0jammy) jammy; urgency=high

  * Change_map service to map_server [Rebase/Noetic] (#1029 <https://github.com/ros-planning/navigation/issues/1029>)
    * Refactored map loading from constructor to three methods
    * Added change_map service using LoadMap.srv
  * map_server: Initialise a NodeHandle in main. (#1122 <https://github.com/ros-planning/navigation/issues/1122>)
  * Add debug output regarding waiting for time (#1078 <https://github.com/ros-planning/navigation/issues/1078>)
    Added debug messages suggested in https://github.com/ros-planning/navigation/issues/1074#issuecomment-751557177. Makes it easier to discover if use_sim_time is true but no clock server is running
  * crop_map: Fix extra pixel origin shift up every cropping (#1064 <https://github.com/ros-planning/navigation/issues/1064>) (#1067 <https://github.com/ros-planning/navigation/issues/1067>)
    Co-authored-by: Pavlo Kolomiiets <mailto:pavlo@blindnology.com>
  * (map_server) add rtest dependency to tests (#1061 <https://github.com/ros-planning/navigation/issues/1061>)
  * [noetic] MapServer variable cleanup: Precursor for #1029 <https://github.com/ros-planning/navigation/issues/1029> (#1043 <https://github.com/ros-planning/navigation/issues/1043>)
  * Contributors: Christian Fritz, David V. Lu!!, Matthijs van der Burgh, Nikos Koukis, Pavlo Kolomiiets

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-map-server (1.17.1-0jammy) jammy; urgency=high

  * Initial map_server map_mode tests (#1006 <https://github.com/ros-planning/navigation/issues/1006>)
  * [noetic] Adding CMake way to find yaml-cpp (#998 <https://github.com/ros-planning/navigation/issues/998>)
  * Contributors: David V. Lu!!, Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-map-server (1.17.0-0jammy) jammy; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-map-server (1.16.6-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-map-server (1.16.5-0jammy) jammy; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-map-server (1.16.4-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-map-server (1.16.3-0jammy) jammy; urgency=high

  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Merge pull request #850 <https://github.com/ros-planning/navigation/issues/850> from seanyen/map_server_windows_fix
    [Windows][melodic] map_server Windows build bring up
  * map_server Windows build bring up
    * Fix install location for Windows build. (On Windows build, shared library uses RUNTIME location, but not LIBRARY)
    * Use boost::filesystem::path to handle path logic and remove the libgen.h dependency for better cross platform.
    * Fix gtest hard-coded and add YAML library dir in CMakeList.txt.
  * Contributors: Michael Ferguson, Sean Yen, Steven Macenski

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-map-server (1.16.2-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-map-server (1.16.1-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-map-server (1.16.0-0jammy) jammy; urgency=high

  * Merge pull request #735 <https://github.com/ros-planning/navigation/issues/735> from ros-planning/melodic_708
    Allow specification of free/occupied thresholds for map_saver (#708 <https://github.com/ros-planning/navigation/issues/708>)
  * Allow specification of free/occupied thresholds for map_saver (#708 <https://github.com/ros-planning/navigation/issues/708>)
    * add occupied threshold command line parameter to map_saver (--occ)
    * add free threshold command line parameter to map_saver (--free)
  * Merge pull request #704 <https://github.com/ros-planning/navigation/issues/704> from DLu/fix573_lunar
    Map server wait for a valid time fix [lunar]
  * Map server wait for a valid time, fix #573 <https://github.com/ros-planning/navigation/issues/573> (#700 <https://github.com/ros-planning/navigation/issues/700>)
    When launching the map_server with Gazebo, the current time is picked
    before the simulation is started and then has a value of 0.
    Later when querying the stamp of the map, a value of has a special
    signification on tf transform for example.
  * Contributors: Michael Ferguson, Romain Reignier, ipa-fez

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-map-server (1.15.2-0jammy) jammy; urgency=high



## ros-one-map-server 1.17.3-4jammy.20251207.2048

=== debian/changelog ===
ros-one-map-server (1.17.3-4jammy.20251207.2048) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 07 Dec 2025 20:48:22 +0000

## ros-one-map-server 1.17.3-4jammy.20260220.2202

=== debian/changelog ===
ros-one-map-server (1.17.3-4jammy.20260220.2202) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 Feb 2026 22:02:27 +0000

## ros-one-map-server 1.17.3-4noble.20251023.0104

=== debian/changelog ===
ros-one-map-server (1.17.3-4noble.20251023.0104) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 01:04:19 +0000

ros-one-map-server (1.17.3-0noble) noble; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-map-server (1.17.2-0noble) noble; urgency=high

  * Change_map service to map_server [Rebase/Noetic] (#1029 <https://github.com/ros-planning/navigation/issues/1029>)
    * Refactored map loading from constructor to three methods
    * Added change_map service using LoadMap.srv
  * map_server: Initialise a NodeHandle in main. (#1122 <https://github.com/ros-planning/navigation/issues/1122>)
  * Add debug output regarding waiting for time (#1078 <https://github.com/ros-planning/navigation/issues/1078>)
    Added debug messages suggested in https://github.com/ros-planning/navigation/issues/1074#issuecomment-751557177. Makes it easier to discover if use_sim_time is true but no clock server is running
  * crop_map: Fix extra pixel origin shift up every cropping (#1064 <https://github.com/ros-planning/navigation/issues/1064>) (#1067 <https://github.com/ros-planning/navigation/issues/1067>)
    Co-authored-by: Pavlo Kolomiiets <mailto:pavlo@blindnology.com>
  * (map_server) add rtest dependency to tests (#1061 <https://github.com/ros-planning/navigation/issues/1061>)
  * [noetic] MapServer variable cleanup: Precursor for #1029 <https://github.com/ros-planning/navigation/issues/1029> (#1043 <https://github.com/ros-planning/navigation/issues/1043>)
  * Contributors: Christian Fritz, David V. Lu!!, Matthijs van der Burgh, Nikos Koukis, Pavlo Kolomiiets

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-map-server (1.17.1-0noble) noble; urgency=high

  * Initial map_server map_mode tests (#1006 <https://github.com/ros-planning/navigation/issues/1006>)
  * [noetic] Adding CMake way to find yaml-cpp (#998 <https://github.com/ros-planning/navigation/issues/998>)
  * Contributors: David V. Lu!!, Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-map-server (1.17.0-0noble) noble; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-map-server (1.16.6-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-map-server (1.16.5-0noble) noble; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-map-server (1.16.4-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-map-server (1.16.3-0noble) noble; urgency=high

  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Merge pull request #850 <https://github.com/ros-planning/navigation/issues/850> from seanyen/map_server_windows_fix
    [Windows][melodic] map_server Windows build bring up
  * map_server Windows build bring up
    * Fix install location for Windows build. (On Windows build, shared library uses RUNTIME location, but not LIBRARY)
    * Use boost::filesystem::path to handle path logic and remove the libgen.h dependency for better cross platform.
    * Fix gtest hard-coded and add YAML library dir in CMakeList.txt.
  * Contributors: Michael Ferguson, Sean Yen, Steven Macenski

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-map-server (1.16.2-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-map-server (1.16.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-map-server (1.16.0-0noble) noble; urgency=high

  * Merge pull request #735 <https://github.com/ros-planning/navigation/issues/735> from ros-planning/melodic_708
    Allow specification of free/occupied thresholds for map_saver (#708 <https://github.com/ros-planning/navigation/issues/708>)
  * Allow specification of free/occupied thresholds for map_saver (#708 <https://github.com/ros-planning/navigation/issues/708>)
    * add occupied threshold command line parameter to map_saver (--occ)
    * add free threshold command line parameter to map_saver (--free)
  * Merge pull request #704 <https://github.com/ros-planning/navigation/issues/704> from DLu/fix573_lunar
    Map server wait for a valid time fix [lunar]
  * Map server wait for a valid time, fix #573 <https://github.com/ros-planning/navigation/issues/573> (#700 <https://github.com/ros-planning/navigation/issues/700>)
    When launching the map_server with Gazebo, the current time is picked
    before the simulation is started and then has a value of 0.
    Later when querying the stamp of the map, a value of has a special
    signification on tf transform for example.
  * Contributors: Michael Ferguson, Romain Reignier, ipa-fez

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-map-server (1.15.2-0noble) noble; urgency=high



## ros-one-map-server 1.17.3-4noble.20251208.0749

=== debian/changelog ===
ros-one-map-server (1.17.3-4noble.20251208.0749) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Dec 2025 07:49:20 +0000

## ros-one-map-server 1.17.3-4noble.20260220.2211

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(map_server)

find_package(catkin REQUIRED
        COMPONENTS
            roscpp
            nav_msgs
            tf2
        )

find_package(Bullet REQUIRED)
find_package(SDL REQUIRED)
find_package(SDL_image REQUIRED)
find_package(Boost REQUIRED COMPONENTS filesystem)

find_package(PkgConfig REQUIRED)
pkg_check_modules(YAMLCPP yaml-cpp QUIET)
if(NOT YAMLCPP_FOUND)
  find_package(yaml-cpp 0.6 REQUIRED)
  set(YAMLCPP_INCLUDE_DIRS ${YAML_CPP_INCLUDE_DIR})
  set(YAMLCPP_LIBRARIES ${YAML_CPP_LIBRARIES})
  add_definitions(-DHAVE_YAMLCPP_GT_0_5_0)
else()
  if(YAMLCPP_VERSION VERSION_GREATER "0.5.0")
    add_definitions(-DHAVE_YAMLCPP_GT_0_5_0)
  endif()
  link_directories(${YAMLCPP_LIBRARY_DIRS})
endif()

catkin_package(
    INCLUDE_DIRS
        include
    LIBRARIES
        map_server_image_loader
    CATKIN_DEPENDS
        roscpp
        nav_msgs
        tf2
)

include_directories(
    include
    ${BULLET_INCLUDE_DIRS}
    ${catkin_INCLUDE_DIRS}
    ${SDL_INCLUDE_DIR}
    ${SDL_IMAGE_INCLUDE_DIRS}
    ${YAMLCPP_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
)

add_library(map_server_image_loader src/image_loader.cpp)
add_dependencies(map_server_image_loader ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(map_server_image_loader
    ${BULLET_LIBRARIES}
    ${catkin_LIBRARIES}
    ${SDL_LIBRARY}
    ${SDL_IMAGE_LIBRARIES}
)

add_executable(map_server src/main.cpp)
add_dependencies(map_server ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(map_server
    map_server_image_loader
    ${YAMLCPP_LIBRARIES}
    ${catkin_LIBRARIES}
)

add_executable(map_server-map_saver src/map_saver.cpp)
add_dependencies(map_server-map_saver ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
set_target_properties(map_server-map_saver PROPERTIES OUTPUT_NAME map_saver)
target_link_libraries(map_server-map_saver
    ${catkin_LIBRARIES}
)

# copy test data to same place as tests are run
function(copy_test_data)
    cmake_parse_arguments(PROJECT "" "" "FILES" ${ARGN})
    foreach(datafile ${PROJECT_FILES})
        file(COPY ${datafile} DESTINATION ${PROJECT_BINARY_DIR}/test)
    endforeach()
endfunction()

## Tests
if(CATKIN_ENABLE_TESTING)
  copy_test_data( FILES
      test/testmap.bmp
      test/testmap.png
      test/spectrum.png )
  catkin_add_gtest(${PROJECT_NAME}_utest test/utest.cpp test/test_constants.cpp)
  target_link_libraries(${PROJECT_NAME}_utest
    map_server_image_loader
    ${SDL_LIBRARY}
    ${SDL_IMAGE_LIBRARIES}
  )

  find_package(roslib REQUIRED)
  include_directories(${roslib_INCLUDE_DIRS})
  add_executable(rtest test/rtest.cpp test/test_constants.cpp)
  add_dependencies(rtest ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
  add_dependencies(tests rtest)
  target_link_libraries( rtest
      ${GTEST_LIBRARIES}
      ${catkin_LIBRARIES}
      ${roslib_LIBRARIES}
  )

  # This has to be done after we've already built targets, or catkin variables get borked
  find_package(rostest REQUIRED)
  add_rostest(test/rtest.xml)
endif()

## Install executables and/or libraries
install(TARGETS map_server-map_saver map_server
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS map_server_image_loader
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

## Install project namespaced headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

## Install excutable python script
install(
    PROGRAMS
      scripts/crop_map
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-map-server (1.17.3-4noble.20260220.2211) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 Feb 2026 22:11:23 +0000

=== debian/control ===
Source: ros-one-map-server
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libbullet-dev, libsdl-image1.2-dev, libsdl1.2-dev, libyaml-cpp-dev, ros-one-catkin (>= 0.5.68), ros-one-nav-msgs, ros-one-roscpp, ros-one-tf2
Homepage: http://wiki.ros.org/map_server
Standards-Version: 3.9.2

Package: ros-one-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbullet-dev, libsdl-image1.2-dev, libsdl1.2-dev, libyaml-cpp-dev, ros-one-nav-msgs, ros-one-roscpp, ros-one-tf2
Description: map_server provides the map_server ROS Node, which offers map data as a ROS Service.
 It also provides the map_saver command-line utility, which allows dynamically generated maps to be saved to file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-map-server//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
